<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('customers', function (Blueprint $table) {
            $table->string('street')->nullable()->after('address');
            $table->string('map')->nullable()->after('street');
        });
        Schema::table('shippings', function (Blueprint $table) {
            $table->string('map')->nullable()->after('address');
        });
    }

    public function down()
    {
        Schema::table('customers', function (Blueprint $table) {
            $table->dropColumn(['street', 'map']);
        });
        Schema::table('shippings', function (Blueprint $table) {
            $table->dropColumn('map');
        });
    }
};
